<script setup lang="ts">
import StockDialog from '@/components/StockDialog.vue'
import StoreDialog from '@/components/StoreDialog.vue';
import { useStockStore } from '@/stores/stock'
import { onMounted } from 'vue'

const stockStore = useStockStore()

onMounted(() => {
  stockStore.getAll()
})
</script>

<template>
  <StockDialog />
  <StoreDialog />
  <v-data-table
    class="h-100"
    fixed-header
    :headers="stockStore.headers"
    :items="stockStore.items"
    style="background-color: rgba(58, 49, 43, 0.923)"
  >
    <!-- :search="search" -->
    <template #top>
      <v-card class="pa-5">
        <v-row>
          <v-col>
            <h2>Stock Management</h2>
          </v-col>
          <v-col cols="1">
            <v-btn @click="stockStore.openDialogStore()"> Store </v-btn>
          </v-col>
          <v-col cols="1">
            <v-btn @click="stockStore.openDialog()"> NEW </v-btn>
          </v-col>
          
        </v-row>
      </v-card>
    </template>

    <template #item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>{{ item.code }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.price }}</td>
        <td>{{ item.balance }}</td>
        <td>{{ item.status }}</td>
        <td>
          <v-icon size="small" class="me-2" @click="stockStore.editItem(item)"> mdi-pencil </v-icon>
          <v-icon size="small" @click="stockStore.deleteItem(item)"> mdi-delete </v-icon>
        </td>
      </tr>
    </template>
  </v-data-table>
</template>

<style scoped></style>
